Skip to main content
POST
Create currency

Authorizations

Authorization
string
header
required

An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.

Body

application/json
name
string
required

Currency name (max 255 characters). Must not be greater than 255 characters.

Example:

"USD"

symbol
string
required

Currency symbol (max 10 characters). Must not be greater than 10 characters.

Example:

"$"

decimal_places
integer
required

Number of decimal places (0-10). Must be at least 0. Must not be greater than 10.

Example:

2

active
boolean
required

Whether the currency is active.

Example:

false

iso_numeric
string | null

ISO numeric code (max 3 characters). Must not be greater than 3 characters.

Example:

"840"

full_name
string | null

Full currency name (max 255 characters). Must not be greater than 255 characters.

Example:

"United States Dollar"

rounding
number | null

Rounding precision (minimum 0). Must be at least 0.

Example:

0.01

Response

Created